### Method

# Gtk CellArea cell_get_valist

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_area_cell_get_valist (
      GtkCellArea* area,
      GtkCellRenderer* renderer,
      const char* first_property_name,
      va_list var_args
    )

#### Description [src]

Gets the values of one or more cell properties for `renderer` in `area`.

Deprecated since: 4.10

Please do not use it in newly written code.

This method is not directly available to language bindings.

#### Parameters

`renderer`

  Type: `GtkCellRenderer`

  A `GtkCellRenderer` inside `area`.

  The data is owned by the caller of the method.

`first_property_name`

  Type: `const char*`

  The name of the first property to get.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`var_args`

  Type: `va_list`

  Return location for the first property, followed optionally by more name/return location pairs, followed by `NULL`.